package com.chenyang.nse.bussiness.entity.vo;

import com.chenyang.nse.bussiness.entity.cache.LoginUser;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseUser;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDatasystemoracle;
import java.util.Date;
import java.util.List;

public class DataSystemConfig {
   private String id;
   private String sysname;
   private String dbtype;
   private String versionname;
   private String pagecode;
   private String dbip;
   private String dbport;
   private String servername;
   private String dbservername;
   private String dblinkname;
   private Date creattime;
   private String createuser;
   private String username;
   private String password;
   private String flag;
   private String localdir;
   private String sourcedelimiter;
   private String sourceskipRows;
   private String sourcequoteCharacter;
   private String sourcefileType;
   private String sourcecommand;
   private String targetdelimiter;
   private String targetskipRows;
   private String targetquoteCharacter;
   private String targetfileType;
   private String targetcommand;
   private String issysdba;
   private String istargetdb;
   private String version;
   private List<TBaseUser> user;
   private List<TCoreDatasystemoracle> oracleIns;
   private String oracleisins;
   private LoginUser loginUser;
   private String xmlpath;
   private String connectmode;
   private String iskerberos;
   private String principal;
   private String loginprincipal;
   private String keytab;
   private String fileDir;
   private String suffix;

   public LoginUser getLoginUser() {
      return this.loginUser;
   }

   public void setLoginUser(LoginUser loginUser) {
      this.loginUser = loginUser;
   }

   public String getXmlpath() {
      return this.xmlpath;
   }

   public void setXmlpath(String xmlpath) {
      this.xmlpath = xmlpath;
   }

   public String getConnectmode() {
      return this.connectmode;
   }

   public void setConnectmode(String connectmode) {
      this.connectmode = connectmode;
   }

   public String getIstargetdb() {
      return this.istargetdb;
   }

   public void setIstargetdb(String istargetdb) {
      this.istargetdb = istargetdb;
   }

   public String getIskerberos() {
      return this.iskerberos;
   }

   public void setIskerberos(String iskerberos) {
      this.iskerberos = iskerberos;
   }

   public String getPrincipal() {
      return this.principal;
   }

   public void setPrincipal(String principal) {
      this.principal = principal;
   }

   public String getLoginprincipal() {
      return this.loginprincipal;
   }

   public void setLoginprincipal(String loginprincipal) {
      this.loginprincipal = loginprincipal;
   }

   public String getKeytab() {
      return this.keytab;
   }

   public void setKeytab(String keytab) {
      this.keytab = keytab;
   }

   public String getFileDir() {
      return this.fileDir;
   }

   public void setFileDir(String fileDir) {
      this.fileDir = fileDir;
   }

   public String getSuffix() {
      return this.suffix;
   }

   public void setSuffix(String suffix) {
      this.suffix = suffix;
   }

   public DataSystemConfig() {
   }

   public DataSystemConfig(String id, String sysname, String dbtype, String versionname, String pagecode, String dbip, String dbport, String servername, String dbservername, String dblinkname, Date creattime, String createuser, String username, String password, String flag, String localdir, String sourcedelimiter, String sourceskipRows, String sourcequoteCharacter, String sourcefileType, String sourcecommand, String targetdelimiter, String targetskipRows, String targetquoteCharacter, String targetfileType, String targetcommand, String issysdba) {
      this.id = id;
      this.sysname = sysname;
      this.dbtype = dbtype;
      this.versionname = versionname;
      this.pagecode = pagecode;
      this.dbip = dbip;
      this.dbport = dbport;
      this.servername = servername;
      this.dbservername = dbservername;
      this.dblinkname = dblinkname;
      this.creattime = creattime;
      this.createuser = createuser;
      this.username = username;
      this.password = password;
      this.flag = flag;
      this.localdir = localdir;
      this.sourcedelimiter = sourcedelimiter;
      this.sourceskipRows = sourceskipRows;
      this.sourcequoteCharacter = sourcequoteCharacter;
      this.sourcefileType = sourcefileType;
      this.sourcecommand = sourcecommand;
      this.targetdelimiter = targetdelimiter;
      this.targetskipRows = targetskipRows;
      this.targetquoteCharacter = targetquoteCharacter;
      this.targetfileType = targetfileType;
      this.targetcommand = targetcommand;
      this.issysdba = issysdba;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getSysname() {
      return this.sysname;
   }

   public void setSysname(String sysname) {
      this.sysname = sysname;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getPagecode() {
      return this.pagecode;
   }

   public void setPagecode(String pagecode) {
      this.pagecode = pagecode;
   }

   public String getDbip() {
      return this.dbip;
   }

   public void setDbip(String dbip) {
      this.dbip = dbip;
   }

   public String getDbport() {
      return this.dbport;
   }

   public void setDbport(String dbport) {
      this.dbport = dbport;
   }

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getDbservername() {
      return this.dbservername;
   }

   public void setDbservername(String dbservername) {
      this.dbservername = dbservername;
   }

   public String getDblinkname() {
      return this.dblinkname;
   }

   public void setDblinkname(String dblinkname) {
      this.dblinkname = dblinkname;
   }

   public Date getCreattime() {
      return this.creattime;
   }

   public void setCreattime(Date creattime) {
      this.creattime = creattime;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getLocaldir() {
      return this.localdir;
   }

   public void setLocaldir(String localdir) {
      this.localdir = localdir;
   }

   public String getSourcedelimiter() {
      return this.sourcedelimiter;
   }

   public void setSourcedelimiter(String sourcedelimiter) {
      this.sourcedelimiter = sourcedelimiter;
   }

   public String getSourceskipRows() {
      return this.sourceskipRows;
   }

   public void setSourceskipRows(String sourceskipRows) {
      this.sourceskipRows = sourceskipRows;
   }

   public String getSourcequoteCharacter() {
      return this.sourcequoteCharacter;
   }

   public void setSourcequoteCharacter(String sourcequoteCharacter) {
      this.sourcequoteCharacter = sourcequoteCharacter;
   }

   public String getSourcefileType() {
      return this.sourcefileType;
   }

   public void setSourcefileType(String sourcefileType) {
      this.sourcefileType = sourcefileType;
   }

   public String getSourcecommand() {
      return this.sourcecommand;
   }

   public void setSourcecommand(String sourcecommand) {
      this.sourcecommand = sourcecommand;
   }

   public String getTargetdelimiter() {
      return this.targetdelimiter;
   }

   public void setTargetdelimiter(String targetdelimiter) {
      this.targetdelimiter = targetdelimiter;
   }

   public String getTargetskipRows() {
      return this.targetskipRows;
   }

   public void setTargetskipRows(String targetskipRows) {
      this.targetskipRows = targetskipRows;
   }

   public String getTargetquoteCharacter() {
      return this.targetquoteCharacter;
   }

   public void setTargetquoteCharacter(String targetquoteCharacter) {
      this.targetquoteCharacter = targetquoteCharacter;
   }

   public String getTargetfileType() {
      return this.targetfileType;
   }

   public void setTargetfileType(String targetfileType) {
      this.targetfileType = targetfileType;
   }

   public String getTargetcommand() {
      return this.targetcommand;
   }

   public void setTargetcommand(String targetcommand) {
      this.targetcommand = targetcommand;
   }

   public String getVersionname() {
      return this.versionname;
   }

   public void setVersionname(String versionname) {
      this.versionname = versionname;
   }

   public String getIssysdba() {
      return this.issysdba;
   }

   public void setIssysdba(String issysdba) {
      this.issysdba = issysdba;
   }

   public List<TBaseUser> getUser() {
      return this.user;
   }

   public void setUser(List<TBaseUser> user) {
      this.user = user;
   }

   public List<TCoreDatasystemoracle> getOracleIns() {
      return this.oracleIns;
   }

   public void setOracleIns(List<TCoreDatasystemoracle> oracleIns) {
      this.oracleIns = oracleIns;
   }

   public String getVersion() {
      return this.version;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getOracleisins() {
      return this.oracleisins;
   }

   public void setOracleisins(String oracleisins) {
      this.oracleisins = oracleisins;
   }
}
